﻿using System;
using Telerik.Reporting.Processing;
using System.Collections;
using Telerik.Reporting.CsvRendering;
using ClassLibrary1;
using System.IO;

namespace WebApplication1
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            SaveReport(new Report1(), @"C:\MyReport.csv");
        }

       

        void SaveReport(Telerik.Reporting.Report report, string fileName)
        {
            ReportProcessor reportProcessor = new ReportProcessor();
            Hashtable deviceInfo = new Hashtable();
            deviceInfo.Add(CsvRenderingExtension.Parameters.NoHeader, true);
            deviceInfo.Add(CsvRenderingExtension.Parameters.NoStaticText, true);
            RenderingResult result = reportProcessor.RenderReport("CSV", report, deviceInfo);

            using (FileStream fs = new FileStream(fileName, FileMode.Create))
            {
                fs.Write(result.DocumentBytes, 0, result.DocumentBytes.Length);
            }
        }     
    }
}
